
%global meadversion 3.4.1
%global namedversion 3.4.1.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with integration_tests
%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}liquibase}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.4.1.redhat-2

Name:           %{?scl_prefix}liquibase
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Liquibase Parent Configuration
Group:          Development/Java

%if %with mead
Source100: liquibase-parent-3.4.1.redhat-2-scm-sources.zip
Source102: liquibase-cdi-3.4.1.redhat-2.jar
Source103: liquibase-cdi-3.4.1.redhat-2.pom
Source104: liquibase-cdi-3.4.1.redhat-2-sources.jar
Source105: liquibase-rpm-3.4.1.redhat-2.jar
Source106: liquibase-rpm-3.4.1.redhat-2.pom
Source107: liquibase-osgi-3.4.1.redhat-2.pom
Source108: liquibase-osgi-3.4.1.redhat-2.jar
Source109: liquibase-parent-3.4.1.redhat-2-project-sources.tar.gz
Source110: liquibase-parent-3.4.1.redhat-2.pom
Source111: liquibase-core-3.4.1.redhat-2-bin.zip
Source112: liquibase-core-3.4.1.redhat-2.pom
Source113: liquibase-core-3.4.1.redhat-2-bin.tar.gz
Source114: liquibase-core-3.4.1.redhat-2.jar
Source115: liquibase-core-3.4.1.redhat-2-tests.jar
Source116: liquibase-core-3.4.1.redhat-2-sources.jar
Source117: liquibase-maven-plugin-3.4.1.redhat-2.pom
Source118: liquibase-maven-plugin-3.4.1.redhat-2.jar
Source119: liquibase-integration-tests-3.4.1.redhat-2-tests.jar
Source120: liquibase-integration-tests-3.4.1.redhat-2.pom
Source121: liquibase-integration-tests-3.4.1.redhat-2.jar
%endif

License:        ASL 2.0
URL:            http://www.liquibase.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Liquibase is a tool for managing and executing database changes.

%package -n %{?scl_prefix}liquibase-core
Summary:        Liquibase Core
Group:          Development/Java


%description -n %{?scl_prefix}liquibase-core
%{summary}.

%package -n %{?scl_prefix}liquibase-maven-plugin
Summary:        Liquibase Maven Plugin
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-maven-plugin
A Maven plugin wraps up some of the functionality of Liquibase.

%package -n %{?scl_prefix}liquibase-osgi
Summary:        Liquibase Osgi
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-osgi
%{summary}.

%package -n %{?scl_prefix}liquibase-cdi
Summary:        Liquibase CDI
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-cdi
%{summary}.

%if %with integration_tests
%package -n %{?scl_prefix}liquibase-integration-tests
Summary:        Liquibase Integration Tests
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-integration-tests
%{summary}.
%endif

%package -n %{?scl_prefix}liquibase-rpm
Summary:        Liquibase RPM Packager
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-rpm
Debian package builder for liquibase.

%if %with javadoc
%package javadoc
Summary:        Javadoc for liquibase
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n liquibase -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}-tests.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}-tests.jar
%endif
%{__cp} -p %{_sourcedir}/liquibase-maven-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-maven-plugin-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/liquibase-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-osgi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}-sources.jar
%if %with integration_tests
%{__cp} -p %{_sourcedir}/liquibase-integration-tests-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-integration-tests-%{namedversion}.jar
%if %with tests
%{__cp} -p %{_sourcedir}/liquibase-integration-tests-%{namedversion}-tests.jar %{buildroot}%{_javadir}/liquibase-integration-tests-%{namedversion}-tests.jar
%endif
%endif
%{__cp} -p %{_sourcedir}/liquibase-rpm-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-rpm-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/liquibase-%{namedversion}
unzip -qq %{_sourcedir}/liquibase-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/liquibase-%{namedversion} -x META-INF/\*
%{__ln_s} liquibase-%{namedversion} %{buildroot}%{_javadocdir}/liquibase
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}liquibase
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}liquibase-core
%defattr(0644,root,root,0755)
%doc changelog.txt LICENSE.txt RELEASING.txt
%{_javadir}/liquibase-core-%{namedversion}.jar
%{_javadir}/liquibase-core.jar
%if %with javadoc
%{_javadir}/liquibase-core-%{namedversion}-javadoc.jar
%{_javadir}/liquibase-core-javadoc.jar
%endif
%{_javadir}/liquibase-core-%{namedversion}-sources.jar
%{_javadir}/liquibase-core-sources.jar
%if %with tests
%{_javadir}/liquibase-core-%{namedversion}-tests.jar
%{_javadir}/liquibase-core-tests.jar
%endif

%files -n %{?scl_prefix}liquibase-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-maven-plugin-%{namedversion}.jar
%{_javadir}/liquibase-maven-plugin.jar

%files -n %{?scl_prefix}liquibase-osgi
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-osgi-%{namedversion}.jar
%{_javadir}/liquibase-osgi.jar

%files -n %{?scl_prefix}liquibase-cdi
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-cdi-%{namedversion}.jar
%{_javadir}/liquibase-cdi.jar
%if %with javadoc
%{_javadir}/liquibase-cdi-%{namedversion}-javadoc.jar
%{_javadir}/liquibase-cdi-javadoc.jar
%endif
%{_javadir}/liquibase-cdi-%{namedversion}-sources.jar
%{_javadir}/liquibase-cdi-sources.jar

%if %with integration_tests
%files -n %{?scl_prefix}liquibase-integration-tests
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-integration-tests-%{namedversion}.jar
%{_javadir}/liquibase-integration-tests.jar
%if %with tests
%{_javadir}/liquibase-integration-tests-%{namedversion}-tests.jar
%{_javadir}/liquibase-integration-tests-tests.jar
%endif
%endif

%files -n %{?scl_prefix}liquibase-rpm
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-rpm-%{namedversion}.jar
%{_javadir}/liquibase-rpm.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/liquibase-%{namedversion}
%{_javadocdir}/liquibase
%endif

%changelog
* Mon Sep 19 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-2.redhat_2.1
- do not include tests jars or integration-tests package

* Mon Sep 19 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-2.redhat_2.1
- do not include tests jars or integration-tests package

* Fri Apr 08 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-1.redhat_2.1
- release

